---
title: List all product item objects.
slug: amberflo-api/list-all-product-item-objects
docTags: 
createdAt: 2024-11-07T15:10:16.976Z
---

{
  "id": "JR19i6Y-lrW2fWIQWm3cf",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-items/list",
    "servers": [
      {
        "url": "https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-items/list"
      }
    ],
    "name": "List all product item objects.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "payment.pricing.ProductItem.out[]",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "productId",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "meterApiName",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "dimensionLabelInfoList",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/payment.pricing.DimensionLabelInfo.out",
                "customType": "payment.pricing.DimensionLabelInfo.out[]",
                "schema": [
                  {
                    "name": "groupInfo",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/payment.meters.GroupInfo.out",
                    "customType": "payment.meters.GroupInfo.out",
                    "schema": [
                      {
                        "name": "gi",
                        "kind": "optional",
                        "type": "map",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      }
                    ]
                  },
                  {
                    "name": "label",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  }
                ]
              },
              {
                "name": "productItemName",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "lockingStatus",
                "kind": "optional",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/com.amberflo.service.common.LockingStatus.out",
                "customType": "com.amberflo.service.common.LockingStatus.out",
                "schema": []
              },
              {
                "name": "lastUpdateTimeInMillis",
                "kind": "optional",
                "type": "integer<int64>",
                "example": 0
              }
            ],
            "modelRef": "#/components/schemas/payment.pricing.ProductItem.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "examples": {
      "languages": [
        {
          "id": "whChrF_l64aAirjYbkDUI",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-items/list \\\n     --header 'accept: application/json'"
        },
        {
          "id": "bOfTqE0qIMb2oCTHi3Jl2",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-items/list\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ML23mZgQjsWtYHVoPdL2h",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-items/list\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ssehHN_PYAnYsh381FMzf",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/payments/pricing/amberflo/account-pricing/product-items/list\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "whChrF_l64aAirjYbkDUI"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful request\n[\n  {\n    \"id\": \"\",\n    \"productId\": \"\",\n    \"meterApiName\": \"\",\n    \"dimensionLabelInfoList\": [\n      {\n        \"groupInfo\": {\n          \"gi\": \"\"\n        },\n        \"label\": \"\"\n      }\n    ],\n    \"productItemName\": \"\",\n    \"description\": \"\",\n    \"lockingStatus\": \"\",\n    \"lastUpdateTimeInMillis\": \"\"\n  }\n]"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}